query builder missing for PostGIS
Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10311

Description

The (very useful) query builder for [[PostGIS]] layers does no longer show operators and examples. Only textual SQL queries are now

possible.

r5742

History

#1 - 2006-08-31 09:26 PM - Gavin Macaulay -

It shows them for me. Can you attach a screenshot to illustrate?

#2 - 2006-08-31 11:48 PM - venturato-faunalia-it -

Further testing: samples values are showed (correctly) when I choose the column name. Operators instead are not showed at all. I attached the

screenshot.

#3 - 2006-09-01 02:36 AM - Gavin Macaulay -

What version of qt is your version of qgis compiled against?

#4 - 2006-09-01 03:58 AM - venturato-faunalia-it -

    1. On the box where QGIS was compiled:

lia@helo:~$    dpkg --list | grep qt | grep dev

ii  libqt4-dev                       4.1.4-1                     Qt 4 development files

ii  qt4-dev-tools                    4.1.4-1                     Qt 4 development tools

    1. On the box running QGIS:

lia@helo:~$    ldd $(which qgis) | grep -i qt

        libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0xa7d3b000)

        libQt3Support.so.4 => /usr/lib/libQt3Support.so.4 (0xa7a51000)

        libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0xa752c000)

        libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0xa74d5000)

        libQtXml.so.4 => /usr/lib/libQtXml.so.4 (0xa7490000)

        libQtSvg.so.4 => /usr/lib/libQtSvg.so.4 (0xa744e000)

        libQtTest.so.4 => /usr/lib/libQtTest.so.4 (0xa743e000)

        libQtDesigner.so.4 => /usr/lib/libQtDesigner.so.4 (0xa72ca000)
        libQtSql.so.4 => /usr/lib/libQtSql.so.4 (0xa66b0000)

#5 - 2006-09-01 04:06 AM - Gavin Macaulay -

Beats me. Is there anything you can do to the dialog box to make the operator appear? Could you try resizing the dialog box, etc?

#6 - 2006-09-01 04:17 AM - venturato-faunalia-it -

I tried resizing, open/closing the dialog box but nothing appened.

I'm sorry.

#7 - 2006-09-06 04:01 PM - Martin Dobias

The same dialog is used also for creating queries when searching in attribute table. Please could you check whether also there are missing buttons for

operators?

#8 - 2006-09-11 01:01 AM - venturato-faunalia-it -

Yes, it's the same.

#9 - 2006-10-03 11:18 PM - Redmine Admin

On the windows preview2 version it works as expected

#10 - 2006-10-13 01:33 AM - Gavin Macaulay -

Are they still missing when qgis is compiled against Qt 4.2.0?

#11 - 2006-10-13 01:48 AM - Redmine Admin

Don't know. On Debian testing we still have 4.1.4-1.1

#12 - 2006-12-03 07:12 AM - Martin Dobias

It seems that Debian has already Qt 4.2. Please could you retest?

Do you have a possibility to test on another computer to check whether it's a problem also somewhere else?

If you have still the same problem, could you try some older SVN revisions to help us find out where could be the problem?

Martin

#13 - 2006-12-03 12:18 PM - Martin Dobias
I've prepared a small project for testing. Download attached tarball (test-ticket-252.tar.gz) and extract it. In that directory try to run:

qmake

make

./test-ticket-252

(Make sure that you're using Qt4 qmake and that you have Qt4 development files)

When you run that compiled binary (test-ticket-252) you should get the postgis builder dialog. Please report whether the buttons are missing or not. If

they're missing, the problem will be probably in UI file. If they're shown OK, we'll have to search for other sources of the problem.

#14 - 2006-12-04 04:18 AM - Redmine Admin

- Status changed from Open to Closed

- Resolution set to fixed

now it works (rev 6160)

#15 - 2007-01-12 09:35 AM - luca-casagrande-gmail-com -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

This problem happen on both some gentoo machine and a debian one. I tried the test app,deleting 1 button and then recreate it and it's showed.

This problem disappear if use qt4.2.1 (at least on my machine).

#16 - 2007-01-12 09:53 AM - anonymous -

AFAIK wgis requirers 4.2?

#17 - 2007-02-01 02:31 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Feedback to Closed

Should be fixed in 6483 (0.8 branch) and 6484 (trunk).

#18 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

querybuilder.jpg 109 KB 2006-08-31 venturato-faunalia-it -

test-ticket-252.tar.gz 2.2 KB 2006-12-03 Martin Dobias
